# 32/64bit spec-file
#
%define release %mkrel 1
%define version 0.9.3
%define name rripper

Name:	%name
Version: %version
Release: %release

Summary: Radio streamripper/player
License: GPL
Group: Sound 
Source: http://sourceforge.net/projects/rripper/files/RRipper-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://rripper.sourceforge.net/
BuildRequires:  qt4-devel 
Requires: qt4-database-plugin-sqlite
Requires: streamripper 
Requires: mplayer

%description
RRipper is a powerful radio streamripper/player for Linux., using streamripper and mplayer. 
Features: Recording, Listening, Fetch lyrics, Browse shoutcast.com, individual streamripper preferences, etc.

%prep
%setup -q -n RRipper-%{version}


%build
export PATH=/usr/lib/qt4/bin:$PATH
export QTDIR=%{_prefix}/lib/qt4/
qmake && make

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_bindir}/
install -m 755 RRipper $RPM_BUILD_ROOT%{_bindir}/%{name}


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=RRipper
Comment=Radio streamripper/player
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Qt;X-MandrivaLinux-Multimedia-Sound;
Encoding=UTF-8
EOF

# icons
mkdir -p %{buildroot}/%{_liconsdir}
convert images/RRipper.png -resize 48x48 %{buildroot}/%_liconsdir/%name.png
mkdir -p %{buildroot}/%{_iconsdir}
convert images/RRipper.png -resize 32x32 %{buildroot}/%_iconsdir/%name.png
mkdir -p %{buildroot}/%{_miconsdir}
convert images/RRipper.png -resize 16x16 %{buildroot}/%_miconsdir/%name.png
install -dm 755 $RPM_BUILD_ROOT/usr/share/pixmaps
convert images/RRipper.png -resize 48x48 \
$RPM_BUILD_ROOT/usr/share/pixmaps/%{name}.png

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc documentation/*
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png



%changelog
* Wed Jan 16 2013 Ken <lxgator at gmail.com> 0.9.3-1pclos2013
- initial build

